import '../../GooFlowPro'
import {getParamUrl} from '../utils/utils'

// 左边菜单栏 group

var toolsGroup = [{
    controls: ['processStart', 'processEnd', 'processNewsStart', 'processTimerStart', 'processTaskService', 'processTask', 'exclusiveGateway', 'processGateway', 'mulNetworkManage', 'incidentNetwork', 'gatewayNetwork', 'AND', 'P', 'OR', 'XOR', 'spliceGroup', 'processIt', 'process04', 'processInput', 'processOutput', 'KCP', 'KSF', 'process', 'processRefer', 'process02', 'process03', 'enterprise01', 'enterprise02', 'enterprise03', 'enterprise04', 'enterprise05', 'enterprise06', 'processInterface', 'process15', 'processCallback', 'triggerDown', 'note', 'notify', 'processDocumentation', 'processTool', 'processInformation', 'processForm', 'approveRules']
}];
console.log('$',$)
console.log('jquery',jQuery)
var attrGroup = [
    {
        name: "icon-dingdan",
        title: jq.i18n.prop("viewProcess")
    },
    {
        name: "icon-attribute",
        title: jq.i18n.prop("viewActive")
    },
    {
        name: "icon-lishi",
        title: jq.i18n.prop("historyVersion")
    },
    {
    	name: "icon-childProcess",
    	title: '子流程触发设置'
    }
]
//对应ToolsConfig.js 里面的配置
var toolBtns = [
    // {
    //     name: "save",
    //     title: jq.i18n.prop("save")
    // },
    // {
    //     name: "temporalit",
    //     title: jq.i18n.prop("temporalit")
    // },
    {
        name: "copy",
        title: jq.i18n.prop("copyChart")
    },
    {
        name: "change",
        title: jq.i18n.prop("change")
    },
    // {
    //     name: "derive",
    //     title: jq.i18n.prop("derive")
    // },
    // {
    //     name: "import",
    //     title: jq.i18n.prop("import")
    // },
    {
        name: "print",
        title: jq.i18n.prop("print")
    },
    {
        name: "issue",
        title: jq.i18n.prop("publish")
    },
    // {
    //     name: "help",
    //     title: '帮助'
    // },

    //------------
    // {
    // 	name: "scaleMax",
    // 	title: jq.i18n.prop("zoomIn")
    // },
    {
    	name: "scaleNormal",
    	title: jq.i18n.prop("adaptTowindowSize")
    },
    // {
    // 	name: "full",
    // 	title: jq.i18n.prop("fullScreen")
    // },
    {
        name: "ctrlz",
        title: '撤销'
    },
    {
        name: "ctrly",
        title: '重做'
    },
    {
        name: "leftAlign",
        title: jq.i18n.prop("leftAlign")
    },

    {
        name: "verticalCenter",
        title: jq.i18n.prop("verticalCenter")
    },
    {
        name: "rightAlign",
        title: jq.i18n.prop("rightAlign")
    },

    {
        name: "topAlign",
        title: jq.i18n.prop("topAlign")
    },

    {
        name: "horizonCenter",
        title: jq.i18n.prop("horizonCenter")
    },


    {
        name: "bottomAlign",
        title: jq.i18n.prop("bottomAlign")
    },
    {
        name: "qiehuan",
        title: jq.i18n.prop("laneSwitch")
    },
    {
        name: "qiehuanbgimg",
        title: jq.i18n.prop("EPCImg")
    },
    {
        name: "versionContrast",
        title: jq.i18n.prop("versionContrast")
    },
    {
        name: "AutoCoding",
        title: jq.i18n.prop("oneCoding")
    },
    {
        name: "procFunAllocation",
        title: '流程功能分配'
    },

    // {
    // 	name: "reload",
    // 	title: jq.i18n.prop("fresh")
    // },

    // {
    // 	name: "scaleMin",
    // 	title: jq.i18n.prop("zoomOut")
    // },






    // {
    // 	name: "voice",
    // 	title: "进入语音绘制页面可以说：流程图、打开流程图、绘制流程图、新建流程图\r\n添加节点可以说：新增节点、增加节点\r\n删除节点可以说：移除节点、删除节点\r\n清空节点可以说：清空节点、删除所有节点"
    // },
    // {
    // 	name: "about",
    // 	title: "进入语音绘制页面可以说：流程图、打开流程图、绘制流程图、新建流程图\r\n添加节点可以说：新增节点、增加节点\r\n删除节点可以说：移除节点、删除节点\r\n清空节点可以说：清空节点、删除所有节点"
    // },







    // {
    //     name: "backlist",
    //     title: jq.i18n.prop("backlist")
    // },

    // {
    // 	name: "verify",
    // 	title: '流程分支校验'
    // }
]

console.log('jq',jq)

var basFlow = jq('#basGooFlow').createGooFlow({
    //页面相对图片路径 用于查找组件查找图片
    //	baseImgUrl : '../img/group/',

    //左边菜单栏分支
    // toolsGroup: toolsGroup,
    // 右侧属性悬浮框
    attrGroup: attrGroup,
    //宽度
    width: 1200,
    // 头部按钮
    toolBtns: toolBtns,
    //泳道 横向或者纵向  X,Y
    //	swimlane : [ 'x' ]

    //是否有头部
    haveHead: true,

    // 切换横竖泳道
    swimMember: getCookie('qiehuan'),

    // 切换背景风格 2020年9月16日11:28:00 qiehuanbgimg
    swimBgMember: getCookie('qiehuanbgimg'),

    // 是否编辑模式
    isEdit: false,

    // 是否查看节点属性
    isReadAttr: 'true'

});

window.basFlow = basFlow;

export default basFlow;
